IntersectBreps without draw curves

There is any away to check the IntersectBreps (trimed surfaces) wihout draw the curves?

I have a loop that check and delete it right away, but even with redraw deactivated, it creates a slight delay that I would like to eliminate.

Any other away?

Drawing what curves? Perhaps we need more information and/or a code sample?

– Dale

Hi @dale

Using sample code:

 import rhinoscriptsyntax as rs
 brep1 = rs.GetObject("Select the first brep", rs.filter.surface | rs.filter.polysurface)
 if brep1:
     brep2 = rs.GetObject("Select the second", rs.filter.surface | rs.filter.polysurface)
     if brep2: rs.IntersectBreps( brep1, brep2) 

Thanks

Hi @MatrixRatrix,

Here is the Python code behind rs.IntersectBreps. With this, perhaps you can write your own function does not add curves to the document.

– Dale